POST api/InstantServiceAppointment/SaveInstantServiceAppointment
Request Information
URI Parameters
None.
Body Parameters
clsInstantServiceAppointmentDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| InstantServiceAppointmentId | globally unique identifier |
None. |
|
| InstantServiceId | globally unique identifier |
None. |
|
| UserRegistrationId | globally unique identifier |
None. |
|
| UserAddressId | globally unique identifier |
None. |
|
| Amount | decimal number |
None. |
|
| TaxPercentage | decimal number |
None. |
|
| AppointmentDate | date |
None. |
|
| BookingTime | date |
None. |
|
| AppointmentTime | date |
None. |
|
| AppointmentOrderNo | string |
None. |
|
| Status | string |
None. |
|
| InstantCartNo | integer |
None. |
|
| Quantity | integer |
None. |
|
| DeliveryRegistrationId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"instantServiceAppointmentId": "045f4f83-d5f3-42a1-a543-7a09ed84a4ff",
"instantServiceId": "6c40e53d-fe74-4d27-a0fb-fae5289d8e6c",
"userRegistrationId": "59f4bae3-0a9e-44d3-89e1-714dd450e76c",
"userAddressId": "e8242396-f03a-4534-b16c-a7a5a166a89c",
"amount": 5.0,
"taxPercentage": 6.0,
"appointmentDate": "2026-08-09T16:02:56.84236+05:30",
"bookingTime": "2026-08-09T16:02:56.84236+05:30",
"appointmentTime": "2026-08-09T16:02:56.84236+05:30",
"appointmentOrderNo": "sample string 10",
"status": "sample string 11",
"instantCartNo": 12,
"quantity": 13,
"deliveryRegistrationId": "ad38419d-5c7a-4f12-8cd5-205b6ab226f9"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |